## org.hibernate.engine
Interface Mapping

All Known Subinterfaces:
  SessionFactoryImplementor

All Known Implementing Classes:
  SessionFactoryImpl

    public interface Mapping

Defines operations common to "compiled" mappings (ie. `SessionFactory`) and "uncompiled" mappings (ie. `Configuration`) that are used by implementors of `Type`.

Author:
  Gavin King
See Also:
  `Type`, `SessionFactoryImpl`, `Configuration`

Method Summary
`IdentifierGeneratorFactory` `getIdentifierGeneratorFactory()` Deprecated. temporary solution
`String` `getIdentifierPropertyName(String className)`
`Type` `getIdentifierType(String className)`
`Type` `getReferencedPropertyType(String className, String propertyName)`

Method Detail

### getIdentifierGeneratorFactory

    IdentifierGeneratorFactory getIdentifierGeneratorFactory()

  Deprecated. temporary solution

  Allow access to the id generator factory, though this is only needed/allowed from configuration.

  Returns:

### getIdentifierType

    Type getIdentifierType(String className)
                           throws MappingException

  Throws:
    `MappingException`

### getIdentifierPropertyName

    String getIdentifierPropertyName(String className)
                                     throws MappingException

  Throws:
    `MappingException`

### getReferencedPropertyType

    Type getReferencedPropertyType(String className,
                                   String propertyName)
                                   throws MappingException

  Throws:
    `MappingException`

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.